import {
  StepQueued,
  StepFailed,
  StepRunning,
  StepSkipped,
  StepSuccessful,
  StepUnknown
} from "./Steps";

export const STEPPER_STATES = {
  queued: "queued",
  running: "running",
  failed: "failed",
  partial_failure: "partial_failure",
  skipped: "skipped",
  successful: "successful",
  unknown: "unknown"
};

export const StepperComponents = {
  queued: StepQueued,
  running: StepRunning,
  failed: StepFailed,
  partial_failure: StepFailed,
  skipped: StepSkipped,
  successful: StepSuccessful,
  unknown: StepUnknown
};
